Retrieve a Web Event
curl --request GET \
--url https://commerce.driv.ly/api/webevents/{id}import requests
url = "https://commerce.driv.ly/api/webevents/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/webevents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"anonymousId": "<string>",
"account": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Analytics
Retrieve a Web Event
GET
/
webevents
/
{id}
Retrieve a Web Event
Path Parameters
Web Event is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Response
Web Event Found
Show child attributes
Show child attributes
Example:
{
"id": "wev_7h9k2j5s3d4f",
"name": "User Login",
"account": {
"id": "acc_0jk3v58djsi1",
"lead": "Lead ID",
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "example@example.com",
"lastName": "Doe",
"birthDate": "1990-05-15",
"firstName": "John",
"phoneNumber": "555-0199"
},
"anonymousIds": ["anon_4598kdjv9390", "anon_4598kdjv9391"]
},
"anonymousId": "anon_4598kdjv9390"
}
⌘I